---
layout: handbook-page-toc
title: "CI Catalog"
description: "CI Catalog - Weekly Project Plan - Pipeline Authoring Group" 
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

```
The following page may contain information related to upcoming products, features and functionality. It is important to note that the information presented is for informational purposes only, so please do not rely on the information for purchasing or planning purposes. Just like with all projects, the items mentioned on the page are subject to change or delay, and the development, release, and timing of any products, features or functionality remain at the sole discretion of GitLab Inc.
```

## CI Catalog - Weekly Project Plan

Epic: [https://gitlab.com/groups/gitlab-org/-/epics/7462](https://gitlab.com/groups/gitlab-org/-/epics/7462)

### Important Upcoming Tentative Dates
<%= partial("handbook/engineering/development/ops/project-plans/ci-catalog/project_dates.erb") %>

### Week of October 2, 2023

#### Goals:
- [Frontend CI Catalog Details page work](https://gitlab.com/gitlab-org/gitlab/-/issues/?sort=popularity&state=opened&label_name%5B%5D=group%3A%3Apipeline%20authoring&label_name%5B%5D=Category%3AComponent%20Catalog&label_name%5B%5D=frontend&milestone_title=16.5&or%5Blabel_name%5D%5B%5D=workflow%3A%3Ain%20dev&or%5Blabel_name%5D%5B%5D=workflow%3A%3Ain%20review&first_page_size=20)
- [Scanning components on release](https://gitlab.com/gitlab-org/gitlab/-/issues/415413) and [adding release sort](https://gitlab.com/gitlab-org/gitlab/-/issues/408382)

### Week of October 9, 2023

#### Goals:
- TBD 

### Milestone 16.6 (October 17, 2023 - November 10, 2023)

#### Goals:
- TBD 

### Milestone 16.7 (November 11, 2023 - December 15, 2023)

#### Goals:
- [ ] **Releasing Components to Beta**

### Milestone 16.8 (December 16, 2023 - January 12, 2024) 

#### Goals:
- TBD 

### Milestone 16.9 (January 13, 2024 - February 9, 2024)

#### Goals:
- [ ] **Release CI Steps - Experimental** - Product maturity [epics](https://gitlab.com/groups/gitlab-org/-/epics/11535) have been created to define scope.

### Milestone 16.10 (February 10, 2024 - March 8, 2024)

#### Goals:
- [ ] **Releasing to Organization Catalog Beta** 

### Milestone 16.11 (March 9, 2024 - April 12, 2024)

#### Goals:
- [ ] **Organization Catalog to GA** - Aligning with organization beta in `FY25Q1` [planning](https://docs.gitlab.com/ee/architecture/blueprints/organization/index.html#iteration-3-organization-mvc-beta-fy25q1).

### Milestone 17.0 (April 13, 2024 - May 10, 2024)

#### Goals:
- [ ] **Work on breaking changes related to CI Catalog**

### Milestone 17.1 (May 11, 2024 - June 14, 2024)

#### Goals:
- [ ] **Release CI Steps - Beta**

### Milestone 17.5 (September 14, 2024 - October 11, 2024)

#### Goals:
- [ ] **Release CI Steps - GA**

### Archive

### Week of September 25, 2023 (Milestone 16.5)

#### Team Capacity:
- 3 Backend Engineers (Leaminn, Avielle, Laura)
- 1 Frontend Engineer (Frédéric)

#### Goals:
- [x] [https://gitlab.com/gitlab-org/gitlab/-/issues/387632](https://gitlab.com/gitlab-org/gitlab/-/issues/387632) to add support for variables in`inputs:` syntax so when `expand_vars` is used, error is raised due to security reasons. ~workflow::in review
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/408382](https://gitlab.com/gitlab-org/gitlab/-/issues/408382) to add `released` sort to CI Catalog.
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/411438](https://gitlab.com/gitlab-org/gitlab/-/issues/411438) to support CI interpolation with arrays.
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/415413](https://gitlab.com/gitlab-org/gitlab/-/issues/415413) to scan a catalog resource for components on release creation.
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/424962](https://gitlab.com/gitlab-org/gitlab/-/issues/424962) to put the current right side column in the Catalog header. - ~workflow::in review
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/424966](https://gitlab.com/gitlab-org/gitlab/-/issues/424966) to add the README tab with the current content.

### Week of September 18, 2023 (first week of Milestone 16.5)

#### Team Capacity:
- 4 Backend Engineers (Avielle, Laura, Kasia, Leaminn)
- 1 Frontend Engineer (Fred)

#### Goals:
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/387632](https://gitlab.com/gitlab-org/gitlab/-/issues/387632) to add support for variables in`inputs:` syntax so when `expand_vars` is used, error is raised due to security reasons. ~workflow::in review
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/415413](https://gitlab.com/gitlab-org/gitlab/-/issues/415413) to scan a catalog resource for components on release creation.
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/408382](https://gitlab.com/gitlab-org/gitlab/-/issues/408382) to add `released` sort to CI Catalog.
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/424962](https://gitlab.com/gitlab-org/gitlab/-/issues/424962) to put the current right side column in the Catalog header - ~workflow::in review
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/415637](https://gitlab.com/gitlab-org/gitlab/-/issues/415637) to add an optional description field under input - handled by Community Contributor

### Week of September 11, 2023 (last week of Milestone 16.4)

#### Team Capacity:
- 2 Backend Engineers
- %16.4 `security` priorities are nearly complete so more BE focus is shifting in later %16.4

#### Goals:
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/415413](https://gitlab.com/gitlab-org/gitlab/-/issues/415413) to scan a catalog resource for components on release creation.
- [ ] Spike follow-up to [https://gitlab.com/gitlab-org/gitlab/-/issues/411438](https://gitlab.com/gitlab-org/gitlab/-/issues/411438)

### Week of September 4, 2023 (Milestone 16.4)

#### Team Capacity:
- .5 Backend Engineers
    - Due to %16.4 `security` priorities, the weekly goals list will be shorter due to our focus there.
    - Working on [https://gitlab.com/gitlab-org/gitlab/-/issues/423456](https://gitlab.com/gitlab-org/gitlab/-/issues/423456) for feature addition for `needs: parallel: matrix` enhancements.

#### Goals:
- [x] [https://gitlab.com/gitlab-org/gitlab/-/issues/418996](https://gitlab.com/gitlab-org/gitlab/-/issues/418996) for marking catalog resource as draft, if final version removed.

### Week of August 28, 2023 (Milestone 16.4)

#### Team Capacity:
- 1.5 Backend Engineers
    - Due to %16.4 `security` priorities, the weekly goals list will be shorter due to our focus there.
    - Working on [https://gitlab.com/gitlab-org/gitlab/-/issues/423456](https://gitlab.com/gitlab-org/gitlab/-/issues/423456) for feature addition for `needs: parallel: matrix` enhancements.

#### Goals:
- [x] [https://gitlab.com/gitlab-org/gitlab/-/issues/411394](https://gitlab.com/gitlab-org/gitlab/-/issues/411394) for adding instrumentation for number of components are used.
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/418996](https://gitlab.com/gitlab-org/gitlab/-/issues/418996) for marking catalog resource as draft, if final version removed.

### Week of August 21, 2023 (Milestone 16.4 begins)

#### Team Capacity:
- 3 Backend Engineers 

#### Goals: 
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/411394](https://gitlab.com/gitlab-org/gitlab/-/issues/411394) for adding instrumentation for number of components are used. 
- [x] [https://gitlab.com/gitlab-org/gitlab/-/issues/415853](https://gitlab.com/gitlab-org/gitlab/-/issues/415853) for updating CI component fetching for updated directory structure - to be merged this week. 
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/409846](https://gitlab.com/gitlab-org/gitlab/-/issues/409846) work continues for creating an SSOT for CI config loading 
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/411438](https://gitlab.com/gitlab-org/gitlab/-/issues/411438) CI interpolation with arrays spike work continues.

### Week of August 14, 2023 (Milestone 16.3 ends)

#### Team Capacity:
- 3 Backend Engineers 
- 2 Frontend Engineers 

#### Goals: 
- [x] [https://gitlab.com/gitlab-org/gitlab/-/issues/409041](https://gitlab.com/gitlab-org/gitlab/-/issues/409041) for showing pipeline status for latest version of catalog resource. 
- [x] [https://gitlab.com/gitlab-org/gitlab/-/issues/415287](https://gitlab.com/gitlab-org/gitlab/-/issues/415287) for creating catalog_resource_components table to unblock other issues. 
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/412948](https://gitlab.com/gitlab-org/gitlab/-/issues/412948) for updating permissions for namespace catalog & update resolver 
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/409846](https://gitlab.com/gitlab-org/gitlab/-/issues/409846) for complete last [MR](https://gitlab.com/gitlab-org/gitlab/-/issues/409846#implementation-plan) for CI config loading  

### Week of August 7, 2023 (Milestone 16.3)

#### Team Capacity:
- 1.5 Backend Engineers 
- 2 Frontend Engineers 

#### Goals: 
- [x] [https://gitlab.com/gitlab-org/gitlab/-/issues/418785](https://gitlab.com/gitlab-org/gitlab/-/issues/418785) for moving CI Catalog to be a premium feature. 
- [x] [https://gitlab.com/gitlab-org/gitlab/-/issues/390458](https://gitlab.com/gitlab-org/gitlab/-/issues/390458) for input type validation. 
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/409041](https://gitlab.com/gitlab-org/gitlab/-/issues/409041) related to showing pipeline status for latest version of catalog resource. 
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/415287](https://gitlab.com/gitlab-org/gitlab/-/issues/415287) for creating catalog_resource_components table to unblock other issues. 
- [ ] [https://gitlab.com/gitlab-org/gitlab/-/issues/415853](https://gitlab.com/gitlab-org/gitlab/-/issues/415853) for updating CI component fetching for updated directory structure. 
